STRUCT CCW_DEVICE(9)

NAME
struct_ccw_device - channel attached device

SYNOPSIS

struct ccw_device {
  spinlock_t * ccwlock;
  struct ccw_device_id id;
  struct ccw_driver * drv;
  struct device dev;
  int online;
  void (* handler) (struct ccw_device *, unsigned long, struct irb *);
};

MEMBERS

ccwlock
    pointer to device lock

id
    id of this device

drv
    ccw driver for this device

dev
    embedded device structure

online
    online status of device

handler
    interrupt handler

DESCRIPTION

handler is a member of the device rather than the driver since a driver can have different interrupt handlers for different ccw devices (multi-subchannel drivers).

AUTHOR

Cornelia Huck <cornelia.huck@de.ibm.com>
    Author.

COPYRIGHT